<!--
  Generated template for the GprofilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">
	<ion-navbar hideBackButton color="headerColor" class="header-inner">
	  	<ion-buttons class="back-btn-container" start>
	      	<button ion-button icon-only (click)="backBtn()" class="back-btn"></button>
	    </ion-buttons>
	    <ion-title class="header-title"><span class="title">Group Info</span></ion-title>
	    <ion-buttons class="setting-icon-btn-container" end>
	    	<button ion-button icon-only class="setting-icon-btn" (click)="settings(admin)"></button>
	    </ion-buttons>
	</ion-navbar>

</ion-header>


<ion-content padding class="wrap-all">
	<div class="group-info-content-container">
		<div class="group-profile-images-container">
			<img-loader class="group-profile-images" src="{{ group.groupPhotoURL }}" imageViewer="{{ group.groupPhotoURL }}" useImg></img-loader>
		</div>
		<div class="group-info-content-inner-wrap">
			<div class="group-chat-btn-container">
				<button class="group-chat-icon" (click)="groupChat()"></button>
			</div>
			<div class="g-member-or-project-content-container">
				<div class="group-name-container">
					<p class="group-name">{{ group.groupName }}</p>
				</div>
				<div class="segment-container">
					<ion-segment  class="SwipedTabs-tabs admin-tabs">
						<ion-segment-button *ngFor='let tab of tabs ; let i = index ' value="IngoreMe" (click)="selectTab(i)"
						[ngClass]='{ "SwipedTabs-activeTab" : ( this.SwipedTabsSlider  && ( this.SwipedTabsSlider.getActiveIndex() === i || (  tabs.length -1 === i&& this.SwipedTabsSlider.isEnd()))) }' >
							{{tab}}
						</ion-segment-button>
					</ion-segment>
					<div id='indicator' class="SwipedTabs-indicatorSegment admin-indicator" [ngStyle]="{'width.%': (100/this.tabs.length)}"></div>
					<button class="add-member-btn" *ngIf="activeTabs == 0 && admin" (click)="openAddMemberModal()"></button>
					<button class="add-project-btn" *ngIf="activeTabs == 1 && admin" (click)="addNewProjectBoard()"></button>
				</div>
				<div class="content-slide-container">
					<ion-slides #SwipedTabsSlider (ionSlideDrag)="animateIndicator($event)"
								(ionSlideWillChange)="updateIndicatorPosition()"
								(ionSlideDidChange)="updateIndicatorPosition()"
								(pan)="updateIndicatorPosition()"
								[pager]="false"
					>
						<ion-slide>
							<ion-list no-lines class="friends-list">
								<div>
									<div *ngFor="let groupMemberList of groupMemberList$ | async">
										<ion-item-sliding *ngIf="groupMemberList.groupMemList | async; let groupMemList;">
											<ion-item class="friend-list-item" >
												<ion-thumbnail item-left class="friends-photo-thumbnail-container">
													<img-loader src="{{ groupMemList.photoURL }}" useImg class="friends-photo-thumbnail"></img-loader>
												</ion-thumbnail>
												<h2 class="friends-name">{{ groupMemList.displayName }}</h2>
												<p class="is-admin-tag" *ngIf="adminID == groupMemberList.key">Admin</p>
												<div class="friends-status-container">
													<p class="friends-status">{{ groupMemList.status }}</p>
												</div>
											</ion-item>
											<ion-item-options class="" slide="left">
												<button ion-button color="orangeColor" class="profile-slide-icon" (click)="viewSelectedProfile(groupMemberList.key)">
													Profile
												</button>
												<button ion-button color="danger" class="unfriend-slide-icon" (click)="removeSelectedMember(groupMemberList.key, groupMemList.displayName)" *ngIf="groupMemberList.key != currentUserId && admin">
													Remove
												</button>
											</ion-item-options>
										</ion-item-sliding>
									</div>
								</div>
							</ion-list>
						</ion-slide>
						<ion-slide>
							<ion-list class="project-list" *ngIf="projectCount > 0">
								<div *ngFor="let projBoardList of projBoardList$ | async">
									<ion-item-sliding #item *ngIf="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) < 100">
										<ion-item (click)="selectProjBoard(projBoardList.key)">
											<div class="project-item-container">
												<div class="progress-bar-container">
													<circle-progress class="progress-bar-incomplete"
													  [percent]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask)"
													></circle-progress>
												</div>
												<div class="project-title-container">
													<p class="project-title">{{ projBoardList.boardName }}</p>
												</div>
												<div class="project-status-container-incomplete">
													<p class="project-status-incomplete">
														In-progress
													</p>
												</div>
												<div class="arrow-icon-container">
													<ion-icon name="arrow-forward" class="arrow-icon" *ngIf="admin"></ion-icon>
												</div>
											</div>
										</ion-item>
										<ion-item-options>
											<button ion-button color="orangeColor" class="rename-slide-icon" (click)="renameProject(projBoardList)" *ngIf="admin">
												Rename
											</button>
											<button ion-button color="danger" class="delete-slide-icon" (click)="deleteProject(projBoardList.key, projBoardList.boardName)" *ngIf="admin">
												Delete
											</button>
										</ion-item-options>
									</ion-item-sliding>
									<ion-item-sliding #item *ngIf="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask) > 99">
										<ion-item (click)="selectProjBoard(projBoardList.key)">
											<div class="project-item-container">
												<div class="progress-bar-container-incomplete">
													<circle-progress class="progress-bar-incomplete"
													  [percent]="projectProgressPercentage(projBoardList.totalCompletedTask, projBoardList.totalTask)"
													  [outerStrokeColor]="'#24e815'"
													  [innerStrokeColor]="'#8AF381'"
													></circle-progress>
												</div>
												<div class="project-title-container">
													<p class="project-title">{{ projBoardList.boardName }}</p>
												</div>
												<div class="project-status-container-incomplete">
													<p class="project-status-completed">
														Completed
													</p>
												</div>
												<div class="arrow-icon-container" *ngIf="admin">
													<ion-icon name="arrow-forward" class="arrow-icon"></ion-icon>
												</div>
											</div>
										</ion-item>
										<ion-item-options>
											<button ion-button color="orangeColor" class="rename-slide-icon" (click)="renameProject(projBoardList)" *ngIf="admin">
												Rename
											</button>
											<button ion-button color="danger" class="delete-slide-icon" (click)="deleteProject(projBoardList.key, projBoardList.boardName)" *ngIf="admin">
												Delete
											</button>
										</ion-item-options>
									</ion-item-sliding>
								</div>
							</ion-list>
							<div class="no-proj-msg-container" *ngIf="projectCount < 1">
							</div>
						</ion-slide>
					</ion-slides>
				</div>
			</div>
		</div>
	</div>
</ion-content>
